<?php

function enviar_notificacion($para, $asunto, $plantilla, $datos) {
    $email = \Config\Services::email();
    $email->clear();

    // En CI4 el charset se define así en caso de querer forzarlo:
    $email->setAltMessage(strip_tags(view('emails/' . $plantilla, $datos))); // Buena práctica para spam

    $cuerpo = view('emails/' . $plantilla, $datos);

    $email->setTo($para);
    $email->setSubject($asunto);
    $email->setMessage($cuerpo);
    $email->setMailType('html');

    if ($email->send()) {
        return true;
    } else {
        log_message('error', 'Error Email: ' . $email->printDebugger(['headers']));
        return false;
    }
}